declare const TIME_START = "2022-10-03T19:32:28Z";
declare const INFINITY = "\u221E";
declare const WP = "https://ipfs.io/ipfs/QmQ1Vong13MDNxixDyUdjniqqEj8sjuNEBYMyhQU4gQgq3";
declare const AUCTION: {
    ADDR_SMART_CONTRACT: string;
    ADDR_VESTING: string;
    ADDR_EVANGELISM: string;
    TOKEN_NAME: string;
    ADDR_TOKEN: string;
    TOPICS_SEND: string;
    TOPICS_CLAIM: string;
    TOPICS_VESTING: string;
    HTTP_PROVIDER_URL: string;
    ROUND_DURATION: number;
    TOKEN_ALOCATION: number;
};
declare const HUB_CONTRACTS: {
    TOKENS: string;
    NETWORKS: string;
    CHANNELS: string;
    PROTOCOLS: string;
};
declare const ADD_ARAGON_FINANCE = "0xa0a55e68dc52b47f8a9d5d05329fab5bdabffb14";
declare const NETWORKSIDS: {
    main: number;
    rinkeby: number;
    kovan: number;
    TestNet: number;
};
declare const TAKEOFF: {
    ATOMsALL: number;
    CYBWON_A: number;
    CYBWON_B: number;
    CYBWON_C: number;
    CYBWON_D: number;
    GETSHARES_A: number;
    GETSHARES_B: number;
    GETSHARES_C: number;
    GETSHARES_D: number;
    DISCOUNT_TG: number;
    DISCOUNT_TILT_ANGLE: number;
    DISCOUNT: number;
    SQRT_5: number;
    BLOCK_START: number;
    FINISH_PRICE: number;
    FINISH_AMOUNT: number;
    FINISH_ESTIMATION: number;
};
declare const COSMOS: {
    ADDR_FUNDING: string;
    TIME_START: string;
    TIME_END: string;
    CHAIN_ID: string;
    DEFAULT_GAS: number;
    DEFAULT_GAS_PRICE: number;
    GAIA_NODE_URL_LSD: string;
    GAIA_WEBSOCKET_URL: string;
    DENOM_COSMOS: string;
    DIVISOR_ATOM: number;
    BECH32_PREFIX_ACC_ADDR_COSMOS: string;
};
declare const CYBER: {
    CYBER_GATEWAY: string;
    CHAIN_ID: string;
    DENOM_CYBER: string;
    DENOM_LIQUID_TOKEN: string;
    DENOM_CYBER_G: string;
    CYBER_NODE_URL_API: string;
    CYBER_WEBSOCKET_URL: string;
    CYBER_NODE_URL_LCD: string;
    CYBER_INDEX_HTTPS: string;
    CYBER_INDEX_WEBSOCKET: string;
    BECH32_PREFIX_ACC_ADDR_CYBER: string;
    BECH32_PREFIX_ACC_ADDR_CYBERVALOPER: string;
    MEMO_KEPLR: string;
    CYBER_CONGRESS_ADDRESS: string;
    DIVISOR_CYBER_G: number;
    HYDROGEN: string;
};
declare const DEFAULT_GAS_LIMITS = 200000;
declare const GAS_LIMITS: {
    send: number;
    cyberlink: number;
    investmint: number;
    createRoute: number;
    editRoute: number;
    editRouteAlias: number;
    deleteRoute: number;
};
declare const LEDGER: {
    STAGE_INIT: number;
    STAGE_SELECTION: number;
    STAGE_LEDGER_INIT: number;
    STAGE_READY: number;
    STAGE_WAIT: number;
    STAGE_GENERATED: number;
    STAGE_SUBMITTED: number;
    STAGE_CONFIRMING: number;
    STAGE_CONFIRMED: number;
    STAGE_ERROR: number;
    LEDGER_VERSION_REQ: number[];
    HDPATH: number[];
    LEDGER_OK: number;
    LEDGER_NOAPP: number;
    MEMO: string;
};
declare const TAKEOFF_SUPPLY = 100000000000000;
declare const GENESIS_SUPPLY = 1000000000000000;
declare const TOTAL_GOL_GENESIS_SUPPLY = 50000000000000;
declare const DISTRIBUTION: {
    takeoff: number;
    relevance: number;
    load: number;
    delegation: number;
    'full validator set': number;
    'euler 4 rewards': number;
    lifetime: number;
    'community pool': number;
};
declare const DISTRIBUTION_PRIZE: {
    takeoff: number;
    relevance: number;
    load: number;
    delegation: number;
    'full validator set': number;
    'euler 4 rewards': number;
    lifetime: number;
    'community pool': number;
};
declare const POCKET: {
    STAGE_TWEET_ACTION_BAR: {
        ADD_AVATAR: string;
        FOLLOW: string;
        TWEET: string;
    };
};
declare const PROPOSAL_STATUS: {
    PROPOSAL_STATUS_UNSPECIFIED: number;
    PROPOSAL_STATUS_DEPOSIT_PERIOD: number;
    PROPOSAL_STATUS_VOTING_PERIOD: number;
    PROPOSAL_STATUS_PASSED: number;
    PROPOSAL_STATUS_REJECTED: number;
    PROPOSAL_STATUS_FAILED: number;
    UNRECOGNIZED: number;
};
declare const VOTE_OPTION: {
    VOTE_OPTION_UNSPECIFIED: number;
    VOTE_OPTION_YES: number;
    VOTE_OPTION_ABSTAIN: number;
    VOTE_OPTION_NO: number;
    VOTE_OPTION_NO_WITH_VETO: number;
    UNRECOGNIZED: number;
};
declare const BOND_STATUS: {
    BOND_STATUS_UNSPECIFIED: number;
    BOND_STATUS_UNBONDED: number;
    BOND_STATUS_UNBONDING: number;
    BOND_STATUS_BONDED: number;
};
declare const PATTERN: RegExp;
declare const PATTERN_CYBER: RegExp;
declare const PATTERN_CYBER_CONTRACT: RegExp;
declare const PATTERN_CYBER_VALOPER: RegExp;
declare const PATTERN_COSMOS: RegExp;
declare const PATTERN_OSMOS: RegExp;
declare const PATTERN_TERRA: RegExp;
declare const PATTERN_ETH: RegExp;
declare const PATTERN_TX: RegExp;
declare const PATTERN_IPFS_HASH: RegExp;
declare const PATTERN_BLOCK: RegExp;
declare const PATTERN_HTTP: RegExp;
declare const PATTERN_HTML: RegExp;
export { TAKEOFF, COSMOS, CYBER, LEDGER, AUCTION, NETWORKSIDS, DISTRIBUTION, GENESIS_SUPPLY, TOTAL_GOL_GENESIS_SUPPLY, PATTERN, PATTERN_CYBER, PATTERN_CYBER_CONTRACT, PATTERN_CYBER_VALOPER, PATTERN_TX, PATTERN_IPFS_HASH, PATTERN_COSMOS, PATTERN_ETH, PATTERN_TERRA, PATTERN_OSMOS, PATTERN_BLOCK, TIME_START, TAKEOFF_SUPPLY, WP, PATTERN_HTTP, POCKET, INFINITY, ADD_ARAGON_FINANCE, DISTRIBUTION_PRIZE, GAS_LIMITS, DEFAULT_GAS_LIMITS, PROPOSAL_STATUS, VOTE_OPTION, BOND_STATUS, PATTERN_HTML, HUB_CONTRACTS, };
